## aom 1.0.0

=== CMakeLists.txt ===
#
# Copyright (c) 2016, Alliance for Open Media. All rights reserved
#
# This source code is subject to the terms of the BSD 2 Clause License and the
# Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License was
# not distributed with this source code in the LICENSE file, you can obtain it
# at www.aomedia.org/license/software. If the Alliance for Open Media Patent
# License 1.0 was not distributed with this source code in the PATENTS file, you
# can obtain it at www.aomedia.org/license/patent.
#
cmake_minimum_required(VERSION 3.5)

if(NOT EMSCRIPTEN)
  if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release"
        CACHE "Build type: Debug, Release, RelWithDebInfo or MinSizeRel" STRING
              FORCE)
  endif()
endif()

option(ENABLE_CCACHE "Enable ccache support." OFF)
option(ENABLE_DECODE_PERF_TESTS "Enables decoder performance tests" OFF)
option(ENABLE_DISTCC "Enable distcc support." OFF)
option(ENABLE_DOCS "Enable documentation generation (doxygen required)." ON)
option(ENABLE_ENCODE_PERF_TESTS "Enables encoder performance tests" OFF)
option(ENABLE_EXAMPLES "Enables build of example code." ON)
option(ENABLE_GOMA "Enable goma support." OFF)
option(ENABLE_IDE_TEST_HOSTING
       "Enables running tests within IDEs like Visual Studio and Xcode." OFF)
option(ENABLE_NASM "Use nasm instead of yasm for x86 assembly." OFF)
option(ENABLE_TESTDATA "Enables unit test data download targets." ON)
option(ENABLE_TESTS "Enables unit tests." ON)
option(ENABLE_TOOLS "Enable applications in tools sub directory." ON)
option(ENABLE_WERROR "Converts warnings to errors at compile time." OFF)

# ARM assembly/intrinsics flags.
option(ENABLE_NEON "Enables NEON optimizations on ARM targets." ON)

# MIPS assembly/intrinsics flags.
option(ENABLE_DSPR2 "Enables DSPR2 optimizations on MIPS targets." OFF)
option(ENABLE_MSA "Enables MSA optimizations on MIPS targets." OFF)

# VSX intrinsics flags.
option(ENABLE_VSX "Enables VSX optimizations on PowerPC targets." ON)

# x86/x86_64 assembly/intrinsics flags.
option(ENABLE_MMX "Enables MMX optimizations on x86/x86_64 targets." ON)
option(ENABLE_SSE "Enables SSE optimizations on x86/x86_64 targets." ON)
option(ENABLE_SSE2 "Enables SSE2 optimizations on x86/x86_64 targets." ON)
option(ENABLE_SSE3 "Enables SSE3 optimizations on x86/x86_64 targets." ON)
option(ENABLE_SSSE3 "Enables SSSE3 optimizations on x86/x86_64 targets." ON)
option(ENABLE_SSE4_1 "Enables SSE4_1 optimizations on x86/x86_64 targets." ON)
option(ENABLE_SSE4_2 "Enables SSE4_2 optimizations on x86/x86_64 targets." ON)
option(ENABLE_AVX "Enables AVX optimizations on x86/x86_64 targets." ON)
option(ENABLE_AVX2 "Enables AVX2 optimizations on x86/x86_64 targets." ON)

# $BUILD_SHARED_LIBS is a CMake built-in-- it's listed here for visibility.
option(BUILD_SHARED_LIBS "CMake should generate a shared library build." OFF)

project(AOM C CXX)

set(AOM_ROOT "${CMAKE_CURRENT_SOURCE_DIR}")
set(AOM_CONFIG_DIR "${CMAKE_CURRENT_BINARY_DIR}")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include"
    CACHE PATH "Installation path of includes")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    CACHE PATH "Installation path of libraries")

if("${AOM_ROOT}" STREQUAL "${AOM_CONFIG_DIR}")
  message(FATAL_ERROR
            "Building from within the aom source tree is not supported.\n"
            "Hint: Run these commands\n" "$ rm -rf CMakeCache.txt CMakeFiles\n"
            "$ mkdir -p ../aom_build\n" "$ cd ../aom_build\n"
            "And re-run CMake from the aom_build directory.")
endif()

include("${AOM_ROOT}/build/cmake/aom_configure.cmake")
include("${AOM_ROOT}/aom_dsp/aom_dsp.cmake")
include("${AOM_ROOT}/aom_mem/aom_mem.cmake")
include("${AOM_ROOT}/aom_ports/aom_ports.cmake")
include("${AOM_ROOT}/aom_scale/aom_scale.cmake")
include("${AOM_ROOT}/aom_util/aom_util.cmake")
include("${AOM_ROOT}/av1/av1.cmake")
include("${AOM_ROOT}/test/test.cmake")
include("${AOM_ROOT}/build/cmake/sanitizers.cmake")
include("${AOM_ROOT}/build/cmake/util.cmake")

list(APPEND AOM_RTCD_SOURCES
            "${AOM_CONFIG_DIR}/config/aom_dsp_rtcd.h"
            "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
            "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
            "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd_defs.pl"
            "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd.c"
            "${AOM_ROOT}/aom_scale/aom_scale_rtcd.pl"
            "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c"
            "${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
            "${AOM_ROOT}/av1/common/av1_rtcd.c"
            "${AOM_ROOT}/build/make/rtcd.pl")

list(APPEND AOM_LIBWEBM_SOURCES
            "${AOM_ROOT}/third_party/libwebm/common/hdr_util.cc"
            "${AOM_ROOT}/third_party/libwebm/common/hdr_util.h"
            "${AOM_ROOT}/third_party/libwebm/common/webmids.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxer.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxer.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxertypes.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxerutil.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxerutil.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvwriter.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvwriter.h"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvparser.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvparser.h"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvreader.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvreader.h")

list(APPEND AOM_LIBYUV_SOURCES
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/basic_types.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert_argb.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert_from.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/cpu_id.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/planar_functions.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/rotate.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/row.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/scale.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/scale_row.h"
            "${AOM_ROOT}/third_party/libyuv/source/cpu_id.cc"
            "${AOM_ROOT}/third_party/libyuv/source/planar_functions.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_any.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_common.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_gcc.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_mips.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_neon.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_neon64.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_win.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_any.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_common.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_gcc.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_mips.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_neon.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_neon64.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_win.cc")

list(APPEND AOM_SOURCES
            "${AOM_CONFIG_DIR}/config/aom_config.c"
            "${AOM_CONFIG_DIR}/config/aom_config.h"
            "${AOM_ROOT}/aom/aom.h"
            "${AOM_ROOT}/aom/aom_codec.h"
            "${AOM_ROOT}/aom/aom_decoder.h"
            "${AOM_ROOT}/aom/aom_encoder.h"
            "${AOM_ROOT}/aom/aom_frame_buffer.h"
            "${AOM_ROOT}/aom/aom_image.h"
            "${AOM_ROOT}/aom/aom_integer.h"
            "${AOM_ROOT}/aom/aomcx.h"
            "${AOM_ROOT}/aom/aomdx.h"
            "${AOM_ROOT}/aom/internal/aom_codec_internal.h"
            "${AOM_ROOT}/aom/src/aom_codec.c"
            "${AOM_ROOT}/aom/src/aom_decoder.c"
            "${AOM_ROOT}/aom/src/aom_encoder.c"
            "${AOM_ROOT}/aom/src/aom_image.c"
            "${AOM_ROOT}/aom/src/aom_integer.c")

list(APPEND AOM_COMMON_APP_UTIL_SOURCES "${AOM_ROOT}/common/args.c"
            "${AOM_ROOT}/common/args.h" "${AOM_ROOT}/common/md5_utils.c"
            "${AOM_ROOT}/common/md5_utils.h"
            "${AOM_ROOT}/common/tools_common.c"
            "${AOM_ROOT}/common/tools_common.h"
            "${AOM_ROOT}/common/video_common.h" "${AOM_ROOT}/common/y4menc.c"
            "${AOM_ROOT}/common/y4menc.h")

list(APPEND AOM_DECODER_APP_UTIL_SOURCES "${AOM_ROOT}/common/ivfdec.c"
            "${AOM_ROOT}/common/ivfdec.h" "${AOM_ROOT}/common/obudec.c"
            "${AOM_ROOT}/common/obudec.h" "${AOM_ROOT}/common/video_reader.c"
            "${AOM_ROOT}/common/video_reader.h")

list(APPEND AOM_ENCODER_APP_UTIL_SOURCES
            "${AOM_ROOT}/common/ivfenc.c"
            "${AOM_ROOT}/common/ivfenc.h"
            "${AOM_ROOT}/common/video_writer.c"
            "${AOM_ROOT}/common/video_writer.h"
            "${AOM_ROOT}/common/warnings.c"
            "${AOM_ROOT}/common/warnings.h"
            "${AOM_ROOT}/common/y4minput.c"
            "${AOM_ROOT}/common/y4minput.h"
            "${AOM_ROOT}/examples/encoder_util.h"
            "${AOM_ROOT}/examples/encoder_util.c")

list(APPEND AOM_ENCODER_STATS_SOURCES "${AOM_ROOT}/stats/aomstats.c"
            "${AOM_ROOT}/stats/aomstats.h" "${AOM_ROOT}/stats/rate_hist.c"
            "${AOM_ROOT}/stats/rate_hist.h")

list(APPEND AOM_PKG_CONFIG_SOURCES "${AOM_CONFIG_DIR}/aom.pc")

list(APPEND AOM_VERSION_SOURCES "${AOM_CONFIG_DIR}/config/aom_version.h")

list(APPEND AOM_WEBM_DECODER_SOURCES "${AOM_ROOT}/common/webmdec.cc"
            "${AOM_ROOT}/common/webmdec.h")

list(APPEND AOM_WEBM_ENCODER_SOURCES "${AOM_ROOT}/common/webmenc.cc"
            "${AOM_ROOT}/common/webmenc.h")

include_directories(${AOM_ROOT} ${AOM_CONFIG_DIR} ${AOM_ROOT}/apps
                    ${AOM_ROOT}/common ${AOM_ROOT}/examples ${AOM_ROOT}/stats)

# Targets
add_library(aom_version ${AOM_VERSION_SOURCES})
add_dummy_source_file_to_target(aom_version c)
add_custom_command(OUTPUT "${AOM_CONFIG_DIR}/config/aom_version.h"
                   COMMAND ${CMAKE_COMMAND} ARGS
                           -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                           -DAOM_ROOT=${AOM_ROOT}
                           -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                           -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                           "${AOM_ROOT}/build/cmake/version.cmake"
                   COMMENT "Writing aom_version.h" VERBATIM)

add_custom_target(aom_version_check
                  COMMAND ${CMAKE_COMMAND} -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                          -DAOM_ROOT=${AOM_ROOT}
                          -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                          -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                          "${AOM_ROOT}/build/cmake/version.cmake"
                  COMMENT "Updating version info if necessary." VERBATIM)
add_dependencies(aom_version aom_version_check)

if(NOT MSVC)
  add_library(aom_pc ${AOM_PKG_CONFIG_SOURCES})
  add_dummy_source_file_to_target(aom_pc c)
  add_custom_command(OUTPUT "${AOM_CONFIG_DIR}/aom.pc"
                     COMMAND ${CMAKE_COMMAND} ARGS
                             -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                             -DAOM_ROOT=${AOM_ROOT}
                             -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
                             -DCMAKE_PROJECT_NAME=${CMAKE_PROJECT_NAME}
                             -DCONFIG_MULTITHREAD=${CONFIG_MULTITHREAD}
                             -DHAVE_PTHREAD_H=${HAVE_PTHREAD_H} -P
                             "${AOM_ROOT}/build/cmake/pkg_config.cmake"
                     COMMENT "Writing aom.pc" VERBATIM)
  add_dependencies(aom_pc aom_version)
endif()

=== debian/changelog ===
aom (1.0.0-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Dec 2018 15:00:28 -0800

aom (1.0.0-3) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * d/rules: Disable AltVec on powerpcspe.

 -- James Cowgill <jcowgill@debian.org>  Thu, 04 Oct 2018 18:21:30 +0100

aom (1.0.0-2) unstable; urgency=medium

  * Cherry-pick upstream commit to fix FTBFS on ppc64el.
  * d/control:
    - Use correct Maintainer.
    - Bump standards version.
  * d/rules:
    - Workaround broken 32-bit ARM architecture detection.
    - Disable optimizations on x32 to fix FTBFS.
  * d/tests:
    - control: make library-build depend on build-essential.
    - encode-decode: fix target size.
    - library-build: Remove useless include.
    - library-build: Make some function args const.
    - library-build: Test number of generated packets.
    - library-build: Add copyright notice.

 -- James Cowgill <jcowgill@debian.org>  Thu, 20 Sep 2018 09:58:42 +0100

aom (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #905096)

 -- James Cowgill <jcowgill@debian.org>  Sun, 12 Aug 2018 18:18:57 +0100

=== debian/control ===
Source: aom
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: James Cowgill <jcowgill@debian.org>
Build-Depends:
 cmake (>= 3.5),
 debhelper (>= 11),
 doxygen,
 yasm [any-amd64 any-i386],
Rules-Requires-Root: no
Standards-Version: 4.2.1
Homepage: https://aomedia.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/aom.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/aom

Package: aom-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AV1 Video Codec Library -- Tools
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the
 reference encoder and decoder implementation published by the Alliance
 for Open Media.
 .
 This package contains the command line encoding and decoding tools.

Package: libaom0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AV1 Video Codec Library
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the
 reference encoder and decoder implementation published by the Alliance
 for Open Media.
 .
 This package contains the shared library.

Package: libaom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libaom0 (= ${binary:Version}), ${misc:Depends}
Description: AV1 Video Codec Library -- Development Files
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the
 reference encoder and decoder implementation published by the Alliance
 for Open Media.
 .
 This package contains the development files.

Package: libaom-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: AV1 Video Codec Library -- Documentation
 AOMedia Video 1 (AV1) is an open and royalty free video encoding format
 optimized for the Internet and the successor of VP9. aom is the
 reference encoder and decoder implementation published by the Alliance
 for Open Media.
 .
 This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs

# Workaround broken 32-bit ARM architecture detection in
# build/cmake/aom_configure.cmake
ifeq ($(DEB_HOST_GNU_CPU),arm)
  CONFIG_EXTRA := -DAOM_TARGET_CPU=arm
endif

# Disable optimizations on x32 which fail to build
ifeq ($(DEB_HOST_ARCH),x32)
  CONFIG_EXTRA := -DAOM_TARGET_CPU=generic
endif

# Disable AltiVec on powerpcspe
ifeq ($(DEB_HOST_ARCH),powerpcspe)
  CONFIG_EXTRA := -DENABLE_VSX=OFF
endif

%:
	dh $@ -Bbuild-debian

# Examples and tools not built because they require various private
#  symbols from libaom.so which we filter out.
# Tests disabled because they require network access to download test
#  data.
# Setting GIT_EXECUTABLE to some invalid file prevents the version
#  being taken from git if we're on a Debian packaging git branch.
override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=1 \
		-DENABLE_TESTS=0 \
		-DGIT_EXECUTABLE=/nonexistant-binary \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		$(CONFIG_EXTRA)

# Do not compress html changelog which breaks documentation
override_dh_compress:
	dh_compress -Xchangelog.html

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## aom 1.0.0.1

=== debian/changelog ===
aom (1.0.0.1-1+dde) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Thu, 02 Sep 2021 14:40:43 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aom
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: James Cowgill <jcowgill@debian.org>
 Build-Depends:
  cmake (>= 3.5),

## aom 1.0.0.errata1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,12 @@
         CACHE "Build type: Debug, Release, RelWithDebInfo or MinSizeRel" STRING
               FORCE)
   endif()
+endif()
+
+if(NOT AOM_TARGET_CPU)
+  set(AOM_TARGET_CPU generic)
+  message("Forcing generic build for normative branch; set AOM_TARGET_CPU to "
+          "the target CPU type to allow for an optimized build.")
 endif()
 
 option(ENABLE_CCACHE "Enable ccache support." OFF)
@@ -161,12 +167,17 @@
             "${AOM_ROOT}/aom/src/aom_image.c"
             "${AOM_ROOT}/aom/src/aom_integer.c")
 
-list(APPEND AOM_COMMON_APP_UTIL_SOURCES "${AOM_ROOT}/common/args.c"
-            "${AOM_ROOT}/common/args.h" "${AOM_ROOT}/common/md5_utils.c"
+list(APPEND AOM_COMMON_APP_UTIL_SOURCES
+            "${AOM_ROOT}/common/args.c"
+            "${AOM_ROOT}/common/args.h"
+            "${AOM_ROOT}/common/md5_utils.c"
             "${AOM_ROOT}/common/md5_utils.h"
             "${AOM_ROOT}/common/tools_common.c"
             "${AOM_ROOT}/common/tools_common.h"
-            "${AOM_ROOT}/common/video_common.h" "${AOM_ROOT}/common/y4menc.c"
+            "${AOM_ROOT}/common/video_common.h"
+            "${AOM_ROOT}/common/rawenc.c"
+            "${AOM_ROOT}/common/rawenc.h"
+            "${AOM_ROOT}/common/y4menc.c"
             "${AOM_ROOT}/common/y4menc.h")
 
 list(APPEND AOM_DECODER_APP_UTIL_SOURCES "${AOM_ROOT}/common/ivfdec.c"
@@ -233,10 +244,3 @@
                              -DAOM_ROOT=${AOM_ROOT}
                              -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
                              -DCMAKE_PROJECT_NAME=${CMAKE_PROJECT_NAME}
-                             -DCONFIG_MULTITHREAD=${CONFIG_MULTITHREAD}
-                             -DHAVE_PTHREAD_H=${HAVE_PTHREAD_H} -P
-                             "${AOM_ROOT}/build/cmake/pkg_config.cmake"
-                     COMMENT "Writing aom.pc" VERBATIM)
-  add_dependencies(aom_pc aom_version)
-endif()
-

=== debian/changelog ===
aom (1.0.0.errata1-3+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2020-36130, CVE-2020-36131, CVE-2020-36133, CVE-2020-36135,
    CVE-2021-30473, CVE-2021-30474 and CVE-2021-30475.
    Multiple security vulnerabilities have been discovered in aom, the AV1
    Video Codec Library. Buffer overflows, use-after-free and NULL pointer
    dereferences may cause a denial of service or other unspecified impact if a
    malformed multimedia file is processed.

 -- Markus Koschany <apo@debian.org>  Tue, 05 Sep 2023 23:10:00 +0200

aom (1.0.0.errata1-3) unstable; urgency=medium

  [ James Cowgill ]
  * d/tests:
    - Merge pkg-config invocations.
    - Make library-build test cross test friendly.
      Thanks to Steve Langasek for the original patch. (Closes: #946236)

  [ Ondřej Nový ]
  * d/control: Bump Standards-Version to 4.4.1.

 -- James Cowgill <jcowgill@debian.org>  Thu, 02 Jan 2020 19:26:18 +0000

aom (1.0.0.errata1-2) unstable; urgency=medium

  [ James Cowgill ]
  * d/rules:
    - Manually set AOM_NEON_INTRIN_FLAG on armhf.
    - Enable CONFIG_LOWBITDEPTH.

  [ Tom Finegan ]
  * cmake: Fix arm neon intrinsic flag handling bugs.

 -- James Cowgill <jcowgill@debian.org>  Sun, 01 Sep 2019 13:28:49 +0100

aom (1.0.0.errata1-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  * d/control:
    - Add build-dependency on graphviz,
    - Bump debhelper compat to 12,
    - Bump standards version to 4.4.0,
  * d/rules: Manually specify target cpu and enable multithreading.
  * d/source: Add dgit-maint-merge workflow files,
  * d/watch: Fix tag URLs and upstream version mangling,

  [ Jan Beich ]
  * cmake: Assume ELF object format for unknown target systems.
    (Closes: #934604)

 -- James Cowgill <jcowgill@debian.org>  Sat, 31 Aug 2019 19:21:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,27 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs
 
-# Workaround broken 32-bit ARM architecture detection in
-# build/cmake/aom_configure.cmake
-ifeq ($(DEB_HOST_GNU_CPU),arm)
-  CONFIG_EXTRA := -DAOM_TARGET_CPU=arm
-endif
-
-# Disable optimizations on x32 which fail to build
-ifeq ($(DEB_HOST_ARCH),x32)
-  CONFIG_EXTRA := -DAOM_TARGET_CPU=generic
+# In the normative branch, we need to manually set the target cpu to
+# enable optimisation
+ifeq ($(DEB_HOST_ARCH_CPU),arm64)
+  TARGET_CPU = arm64
+else ifeq ($(DEB_HOST_ARCH_CPU)_$(DEB_HOST_ARCH_ABI),arm_eabihf)
+  TARGET_CPU = armv7
+  # On ARM, we need to manually pass the flag used to compile NEON
+  # code with
+  CONFIG_EXTRA := -DAOM_NEON_INTRIN_FLAG=-mfpu=neon
+else ifneq ($(filter mips64%, $(DEB_HOST_ARCH_CPU)),)
+  TARGET_CPU = mips64
+else ifneq ($(filter mips%, $(DEB_HOST_ARCH_CPU)),)
+  TARGET_CPU = mips32
+else ifneq ($(filter ppc% powerpc%, $(DEB_HOST_ARCH_CPU)),)
+  TARGET_CPU = ppc
+else ifeq ($(DEB_HOST_ARCH_CPU)_$(DEB_HOST_ARCH_ABI),amd64_base)
+  TARGET_CPU = x86_64
+else ifeq ($(DEB_HOST_ARCH_CPU),i386)
+  TARGET_CPU = x86
+else
+  TARGET_CPU = generic
 endif
 
 # Disable AltiVec on powerpcspe
@@ -32,14 +44,14 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DBUILD_SHARED_LIBS=1 \
+		-DCONFIG_LOWBITDEPTH=1 \
+		-DCONFIG_MULTITHREAD=1 \
 		-DENABLE_TESTS=0 \
 		-DGIT_EXECUTABLE=/nonexistant-binary \
 		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		-DAOM_TARGET_CPU=$(TARGET_CPU) \
 		$(CONFIG_EXTRA)
 
 # Do not compress html changelog which breaks documentation
 override_dh_compress:
 	dh_compress -Xchangelog.html
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="repack,compression=xz, \
      uversionmangle=s/-/./, \
      downloadurlmangle=s|\+|\+archive|;s|$|.tar.gz|, \
      filenamemangle=s|.*/v|aom-|;s|$|.tar.gz|" \
    https://aomedia.googlesource.com/aom/+refs /aom/\+/refs/tags/v@ANY_VERSION@

## aom 3.2.0

=== CMakeLists.txt ===
#
# Copyright (c) 2016, Alliance for Open Media. All rights reserved
#
# This source code is subject to the terms of the BSD 2 Clause License and the
# Alliance for Open Media Patent License 1.0. If the BSD 2 Clause License was
# not distributed with this source code in the LICENSE file, you can obtain it
# at www.aomedia.org/license/software. If the Alliance for Open Media Patent
# License 1.0 was not distributed with this source code in the PATENTS file, you
# can obtain it at www.aomedia.org/license/patent.
#
cmake_minimum_required(VERSION 3.6)

set(AOM_ROOT "${CMAKE_CURRENT_SOURCE_DIR}")
set(AOM_CONFIG_DIR "${CMAKE_CURRENT_BINARY_DIR}")
if("${AOM_ROOT}" STREQUAL "${AOM_CONFIG_DIR}")
  message(
    FATAL_ERROR "Building from within the aom source tree is not supported.\n"
                "Hint: Run these commands\n"
                "$ rm -rf CMakeCache.txt CMakeFiles\n"
                "$ mkdir -p ../aom_build\n" "$ cd ../aom_build\n"
                "And re-run CMake from the aom_build directory.")
endif()

project(AOM C CXX)

# GENERATED source property global visibility.
if(POLICY CMP0118)
  cmake_policy(SET CMP0118 NEW)
endif()

if(NOT EMSCRIPTEN)
  if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_BUILD_TYPE
        "Release"
        CACHE STRING "Build type: Debug, Release, RelWithDebInfo or MinSizeRel"
              FORCE)
  endif()
endif()

# Library version info. Update LT_CURRENT, LT_REVISION and LT_AGE when making a
# public release by following the guidelines in the libtool document:
# https://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
#
# c=<current>, r=<revision>, a=<age>
#
# libtool generates a .so file as .so.[c-a].a.r, while -version-info c:r:a is
# passed to libtool.
#
# We set SO_FILE_VERSION = [c-a].a.r
set(LT_CURRENT 5)
set(LT_REVISION 0)
set(LT_AGE 2)
math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")
unset(LT_CURRENT)
unset(LT_REVISION)
unset(LT_AGE)

# Enable generators like Xcode and Visual Studio to place projects in folders.
set_property(GLOBAL PROPERTY USE_FOLDERS TRUE)

include("${AOM_ROOT}/build/cmake/aom_configure.cmake")
if(CONFIG_THREE_PASS)
  include("${AOM_ROOT}/common/ivf_dec.cmake")
endif()
include("${AOM_ROOT}/aom_dsp/aom_dsp.cmake")
include("${AOM_ROOT}/aom_mem/aom_mem.cmake")
include("${AOM_ROOT}/aom_ports/aom_ports.cmake")
include("${AOM_ROOT}/aom_scale/aom_scale.cmake")
include("${AOM_ROOT}/aom_util/aom_util.cmake")
include("${AOM_ROOT}/av1/av1.cmake")
include("${AOM_ROOT}/build/cmake/aom_install.cmake")
include("${AOM_ROOT}/build/cmake/sanitizers.cmake")
include("${AOM_ROOT}/build/cmake/util.cmake")
include("${AOM_ROOT}/test/test.cmake")

list(APPEND AOM_RTCD_SOURCES
            "${AOM_CONFIG_DIR}/config/aom_dsp_rtcd.h"
            "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
            "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
            "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd_defs.pl"
            "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd.c"
            "${AOM_ROOT}/aom_scale/aom_scale_rtcd.pl"
            "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c"
            "${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
            "${AOM_ROOT}/av1/common/av1_rtcd.c"
            "${AOM_ROOT}/build/cmake/rtcd.pl")

list(APPEND AOM_LIBWEBM_SOURCES
            "${AOM_ROOT}/third_party/libwebm/common/hdr_util.cc"
            "${AOM_ROOT}/third_party/libwebm/common/hdr_util.h"
            "${AOM_ROOT}/third_party/libwebm/common/webmids.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxer.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxer.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxertypes.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxerutil.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvmuxerutil.h"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvwriter.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvmuxer/mkvwriter.h"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvparser.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvparser.h"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvreader.cc"
            "${AOM_ROOT}/third_party/libwebm/mkvparser/mkvreader.h")

list(APPEND AOM_LIBYUV_SOURCES
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/basic_types.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert_argb.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/convert_from.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/cpu_id.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/planar_functions.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/rotate.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/row.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/scale.h"
            "${AOM_ROOT}/third_party/libyuv/include/libyuv/scale_row.h"
            "${AOM_ROOT}/third_party/libyuv/source/convert_argb.cc"
            "${AOM_ROOT}/third_party/libyuv/source/cpu_id.cc"
            "${AOM_ROOT}/third_party/libyuv/source/planar_functions.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_any.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_common.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_gcc.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_mips.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_neon.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_neon64.cc"
            "${AOM_ROOT}/third_party/libyuv/source/row_win.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_any.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_common.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_gcc.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_mips.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_neon.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_neon64.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_win.cc"
            "${AOM_ROOT}/third_party/libyuv/source/scale_uv.cc")

list(APPEND AOM_SOURCES
            "${AOM_CONFIG_DIR}/config/aom_config.c"
            "${AOM_CONFIG_DIR}/config/aom_config.h"
            "${AOM_ROOT}/aom/aom.h"
            "${AOM_ROOT}/aom/aom_codec.h"
            "${AOM_ROOT}/aom/aom_decoder.h"
            "${AOM_ROOT}/aom/aom_encoder.h"
            "${AOM_ROOT}/aom/aom_external_partition.h"
            "${AOM_ROOT}/aom/aom_frame_buffer.h"
            "${AOM_ROOT}/aom/aom_image.h"
            "${AOM_ROOT}/aom/aom_integer.h"
            "${AOM_ROOT}/aom/aomcx.h"
            "${AOM_ROOT}/aom/aomdx.h"
            "${AOM_ROOT}/aom/internal/aom_codec_internal.h"
            "${AOM_ROOT}/aom/internal/aom_image_internal.h"
            "${AOM_ROOT}/aom/src/aom_codec.c"
            "${AOM_ROOT}/aom/src/aom_decoder.c"
            "${AOM_ROOT}/aom/src/aom_encoder.c"
            "${AOM_ROOT}/aom/src/aom_image.c"
            "${AOM_ROOT}/aom/src/aom_integer.c")

list(APPEND AOM_COMMON_APP_UTIL_SOURCES
            "${AOM_ROOT}/av1/arg_defs.c"
            "${AOM_ROOT}/av1/arg_defs.h"
            "${AOM_ROOT}/common/args_helper.c"
            "${AOM_ROOT}/common/args_helper.h"
            "${AOM_ROOT}/common/args.c"
            "${AOM_ROOT}/common/args.h"
            "${AOM_ROOT}/common/av1_config.c"
            "${AOM_ROOT}/common/av1_config.h"
            "${AOM_ROOT}/common/md5_utils.c"
            "${AOM_ROOT}/common/md5_utils.h"
            "${AOM_ROOT}/common/tools_common.c"
            "${AOM_ROOT}/common/tools_common.h"
            "${AOM_ROOT}/common/video_common.h"
            "${AOM_ROOT}/common/rawenc.c"
            "${AOM_ROOT}/common/rawenc.h"
            "${AOM_ROOT}/common/y4menc.c"
            "${AOM_ROOT}/common/y4menc.h"
            "${AOM_ROOT}/common/ivfdec.c"
            "${AOM_ROOT}/common/ivfdec.h")

list(APPEND AOM_DECODER_APP_UTIL_SOURCES "${AOM_ROOT}/common/obudec.c"
            "${AOM_ROOT}/common/obudec.h" "${AOM_ROOT}/common/video_reader.c"
            "${AOM_ROOT}/common/video_reader.h")

list(APPEND AOM_ENCODER_APP_UTIL_SOURCES
            "${AOM_ROOT}/common/ivfenc.c"
            "${AOM_ROOT}/common/ivfenc.h"
            "${AOM_ROOT}/common/video_writer.c"
            "${AOM_ROOT}/common/video_writer.h"
            "${AOM_ROOT}/common/warnings.c"
            "${AOM_ROOT}/common/warnings.h"
            "${AOM_ROOT}/common/y4minput.c"
            "${AOM_ROOT}/common/y4minput.h"
            "${AOM_ROOT}/examples/encoder_util.h"
            "${AOM_ROOT}/examples/encoder_util.c")

list(APPEND AOM_ENCODER_STATS_SOURCES "${AOM_ROOT}/stats/aomstats.c"
            "${AOM_ROOT}/stats/aomstats.h" "${AOM_ROOT}/stats/rate_hist.c"
            "${AOM_ROOT}/stats/rate_hist.h")

list(APPEND AOM_VERSION_SOURCES "${AOM_CONFIG_DIR}/config/aom_version.h")

list(APPEND AOM_WEBM_DECODER_SOURCES "${AOM_ROOT}/common/webmdec.cc"
            "${AOM_ROOT}/common/webmdec.h")

list(APPEND AOM_WEBM_ENCODER_SOURCES "${AOM_ROOT}/common/webmenc.cc"
            "${AOM_ROOT}/common/webmenc.h")

include_directories(${AOM_ROOT} ${AOM_CONFIG_DIR} ${AOM_ROOT}/apps
                    ${AOM_ROOT}/common ${AOM_ROOT}/examples ${AOM_ROOT}/stats)

# Targets
add_library(aom_version ${AOM_VERSION_SOURCES})
add_dummy_source_file_to_target(aom_version c)
add_custom_command(OUTPUT "${AOM_CONFIG_DIR}/config/aom_version.h"
                   COMMAND ${CMAKE_COMMAND} ARGS
                           -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                           -DAOM_ROOT=${AOM_ROOT}
                           -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                           -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                           "${AOM_ROOT}/build/cmake/version.cmake"
                   COMMENT "Writing aom_version.h"
                   VERBATIM)

add_custom_target(aom_version_check
                  COMMAND ${CMAKE_COMMAND}
                          -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                          -DAOM_ROOT=${AOM_ROOT}
                          -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                          -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                          "${AOM_ROOT}/build/cmake/version.cmake"
                  COMMENT "Updating version info if necessary."
                  VERBATIM)

if(BUILD_SHARED_LIBS AND NOT MSVC)
  # Generate version file immediately for non-MSVC shared builds: The version
  # string is needed for the aom target.
  execute_process(COMMAND ${CMAKE_COMMAND}
                          -DAOM_CONFIG_DIR=${AOM_CONFIG_DIR}
                          -DAOM_ROOT=${AOM_ROOT}
                          -DGIT_EXECUTABLE=${GIT_EXECUTABLE}
                          -DPERL_EXECUTABLE=${PERL_EXECUTABLE} -P
                          "${AOM_ROOT}/build/cmake/version.cmake")
endif()

add_dependencies(aom_version aom_version_check)

# TODO(tomfinegan): Move rtcd target setup where it belongs for each rtcd
# source.
add_rtcd_build_step("${AOM_ROOT}/aom_dsp/aom_dsp_rtcd_defs.pl"
                    "${AOM_CONFIG_DIR}/config/aom_dsp_rtcd.h"
                    "${AOM_ROOT}/aom_dsp/aom_dsp_rtcd.c" "aom_dsp_rtcd")
add_rtcd_build_step("${AOM_ROOT}/aom_scale/aom_scale_rtcd.pl"
                    "${AOM_CONFIG_DIR}/config/aom_scale_rtcd.h"
                    "${AOM_ROOT}/aom_scale/aom_scale_rtcd.c" "aom_scale_rtcd")
add_rtcd_build_step("${AOM_ROOT}/av1/common/av1_rtcd_defs.pl"
                    "${AOM_CONFIG_DIR}/config/av1_rtcd.h"
                    "${AOM_ROOT}/av1/common/av1_rtcd.c" "av1_rtcd")

add_library(aom_rtcd OBJECT ${AOM_RTCD_SOURCES})
add_dependencies(aom_rtcd aom_version)

if(ENABLE_EXAMPLES)
  add_library(aom_encoder_stats OBJECT ${AOM_ENCODER_STATS_SOURCES})
  set(AOM_LIB_TARGETS ${AOM_LIB_TARGETS} aom_encoder_stats)
endif()

=== debian/changelog ===
aom (3.2.0-deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 10 Aug 2022 21:05:53 +0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: aom
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: James Cowgill <jcowgill@debian.org>
+Maintainer: Deepin Developer <deepin-dev@deepin.org>
+Uploaders: Deepin Packages Builder <packages@deepin.org>
 Build-Depends:
  cmake (>= 3.5),
- debhelper (>= 11),
+ debhelper-compat (= 12),
+ yasm [any-amd64 any-i386],
+Build-Depends-Indep:
  doxygen,
- yasm [any-amd64 any-i386],
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Homepage: https://aomedia.org/
-Vcs-Git: https://salsa.debian.org/multimedia-team/aom.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/aom
+#Vcs-Git
+#Vcs-Browser
 
 Package: aom-tools
 Architecture: any
@@ -26,7 +27,7 @@
  .
  This package contains the command line encoding and decoding tools.
 
-Package: libaom0
+Package: libaom3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -43,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libaom0 (= ${binary:Version}), ${misc:Depends}
+Depends: libaom3 (= ${binary:Version}), ${misc:Depends}
 Description: AV1 Video Codec Library -- Development Files
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the
@@ -56,7 +57,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-mathjax
 Description: AV1 Video Codec Library -- Documentation
  AOMedia Video 1 (AV1) is an open and royalty free video encoding format
  optimized for the Internet and the successor of VP9. aom is the

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
   CONFIG_EXTRA := -DENABLE_VSX=OFF
 endif
 
+# Use -Bbuild-debian to locate built documentation
 %:
 	dh $@ -Bbuild-debian
 
@@ -48,7 +49,6 @@
 		-DCONFIG_MULTITHREAD=1 \
 		-DENABLE_TESTS=0 \
 		-DGIT_EXECUTABLE=/nonexistant-binary \
-		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		-DAOM_TARGET_CPU=$(TARGET_CPU) \
 		$(CONFIG_EXTRA)

## aom 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,9 +47,9 @@
 # passed to libtool.
 #
 # We set SO_FILE_VERSION = [c-a].a.r
-set(LT_CURRENT 5)
+set(LT_CURRENT 6)
 set(LT_REVISION 0)
-set(LT_AGE 2)
+set(LT_AGE 3)
 math(EXPR SO_VERSION "${LT_CURRENT} - ${LT_AGE}")
 set(SO_FILE_VERSION "${SO_VERSION}.${LT_AGE}.${LT_REVISION}")
 unset(LT_CURRENT)

=== debian/changelog ===
aom (3.3.0-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in img_alloc_helper
    - debian/patches/CVE-2024-5171.patch: avoid integer overflows in
      align_image_dimension() in aom/aom_image.h, aom/src/aom_image.c,
      test/aom_image_test.cc.
    - CVE-2024-5171

 -- Chrisa Oikonomou <chrisa.oikonomou@canonical.com>  Thu, 20 Mar 2025 15:02:11 +0200

aom (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.3.0.
  * debian/rules: Use -f flag for file removal.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Feb 2022 12:14:54 -0500

aom (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump CMake version requirement to 3.6.
  * debian/patches/0002: Add patch to use system libyuv instead of
    embedded one.
  * debian/control: Add new build-dependency libyuv-dev.
  * debian/rules: Explicitly specify CONFIG_LIBYUV=1.
  * debian/rules: Remove third_party/libyuv/ directory before
    configure. This prevents accidentally using embedded libyuv
    copy for building in the future.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Dec 2021 16:27:40 -0500

aom (3.2.0-1) unstable; urgency=high

  * Team upload.
  * Upload to unstable. (Closes: #997983)

 -- Boyuan Yang <byang@debian.org>  Mon, 01 Nov 2021 18:23:49 -0400

aom (3.2.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 3.2.0. (Closes: #972467, #952564)
    + Fix various security issues. (CVE-2021-30474, CVE-2021-30475)
    + Fix non-heap memory free. (Closes: #988211, CVE-2021-30473)
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Rename library package libaom0 -> libaom3 (SONAME bump).
  * debian/patches: Dropped old patches, merged upstream.
  * debian/patches/0001-mathjax: Use local mathjax js copy from
    libjs-mathjax to prevent privacy breach (lintian error).
  * debian/watch: Update to properly handle RC versions.
  * debian/copyright: Refresh copyright information.
  * debian/libaom3.symbols: Document library symbols.
  * debian/libaom-dev.install: Also install static library.
  * debian/rules:
    + Do not set LIB_INSTALL_DIR since aom upstream is no longer using
      this variable.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Oct 2021 18:37:31 -0400

aom (1.0.0.errata1.ds-1) unstable; urgency=high

  * Team upload.
  * Revert original source code to 1.0.0-errata1 due to implicit
    ABI break in 1.0.0-errata1-avif. (Closes: #997806)
  * debian/source/{options,patch-header}: Dropped.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Oct 2021 15:42:12 -0400

aom (1.0.0.errata1.avif-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.0.0-errata1-avif, taken from upstream
    git commit 4eb1e77 (2019-12-12).
    + This version is said to work with libavif, but actually
      not. (see: #952564)
    + More work is needed to package newer aom:
      aom 2.x bumps SONAME to 2, which needs to go through NEW queue.
      aom 3.x needs unpackaged libyuv (currently in NEW queue).
  * debian/patches: Refresh existing patches.
  * debian/libaom0.symbols: Refresh symbols.

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #982184)
    + Demote doxygen to Build-Depends-Indep.
    + Drop unused graphviz since HAVE_DOT=no.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Oct 2021 17:14:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: aom
 Section: video
 Priority: optional
-Maintainer: Deepin Developer <deepin-dev@deepin.org>
-Uploaders: Deepin Packages Builder <packages@deepin.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: James Cowgill <jcowgill@debian.org>
 Build-Depends:
- cmake (>= 3.5),
- debhelper-compat (= 12),
+ cmake (>= 3.6),
+ debhelper-compat (= 13),
+ libyuv-dev,
  yasm [any-amd64 any-i386],
 Build-Depends-Indep:
  doxygen,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://aomedia.org/
-#Vcs-Git
-#Vcs-Browser
+Vcs-Git: https://salsa.debian.org/multimedia-team/aom.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/aom
 
 Package: aom-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,10 @@
 %:
 	dh $@ -Bbuild-debian
 
+# Force building with system libyuv
+execute_before_dh_auto_configure:
+	rm -rf $(CURDIR)/third_party/libyuv
+
 # Examples and tools not built because they require various private
 #  symbols from libaom.so which we filter out.
 # Tests disabled because they require network access to download test
@@ -46,6 +50,7 @@
 	dh_auto_configure -- \
 		-DBUILD_SHARED_LIBS=1 \
 		-DCONFIG_LOWBITDEPTH=1 \
+		-DCONFIG_LIBYUV=1 \
 		-DCONFIG_MULTITHREAD=1 \
 		-DENABLE_TESTS=0 \
 		-DGIT_EXECUTABLE=/nonexistant-binary \

## aom 3.4.0

=== debian/changelog ===
aom (3.4.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jul 2022 13:35:52 -0700

aom (3.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 3.4.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jun 2022 10:43:54 -0400

aom (3.4.0~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 3.4.0~rc1.
  * debian/patches: Refresh patches.
  * debian/rules: Update buildflag name as recommended by upstream
    (CONFIG_LOWBITDEPTH -> FORCE_HIGHBITDEPTH_DECODING).

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Jun 2022 15:06:45 -0400

aom (3.3.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against new libyuv.
  * debian/control: Use googlesource project as homepage.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 May 2022 13:41:44 -0400

=== debian/rules ===
--- 
+++ 
@@ -46,10 +46,13 @@
 #  data.
 # Setting GIT_EXECUTABLE to some invalid file prevents the version
 #  being taken from git if we're on a Debian packaging git branch.
+#
+# For FORCE_HIGHBITDEPTH_DECODING, see git commit
+# 2dd87d9b05b36811aaf19d3c4e47e6e04ccf9de8.
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DBUILD_SHARED_LIBS=1 \
-		-DCONFIG_LOWBITDEPTH=1 \
+		-DFORCE_HIGHBITDEPTH_DECODING=0 \
 		-DCONFIG_LIBYUV=1 \
 		-DCONFIG_MULTITHREAD=1 \
 		-DENABLE_TESTS=0 \
@@ -60,3 +63,7 @@
 # Do not compress html changelog which breaks documentation
 override_dh_compress:
 	dh_compress -Xchangelog.html
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
